This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297837 - [i915]] *ERROR* CPU pipe A FIFO underrun ( 4.4 regression )
[i915]] *ERROR* CPU pipe A FIFO underrun ( 4.4 regression )
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 10:20 EST by Jóhann B. Guðmundsson
Modified: 2017-08-08 08:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:38:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with drm.debug=14 added (242.27 KB, text/plain)
2016-01-12 10:20 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2016-01-12 10:20:05 EST
Created attachment 1113990 [details]
dmesg output with drm.debug=14 added

Description of problem:

After updating to 4.4 one of two monitors starts blinking randomly

Version-Release number of selected component (if applicable):

kernel-4.4.0-1.fc24.x86_64

How reproducible:

Always

Steps to Reproduce:
1. update to that kernel version
2.
3.

Actual results:

One screen in dual monitor setup starts randomly blinking at random interval

Expected results:

No blinking

Additional info:

This is does not happen on 4.3.x ( 4.4 regression )
Comment 1 Jan Kurik 2016-02-24 09:16:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 jibecfed 2017-02-10 15:31:05 EST
I feel like I have the same issue:
févr. 10 12:14:35 jportable.localdomain kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
févr. 10 12:14:35 jportable.localdomain kernel: [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

But I have no idea how to reproduce it, I can only confirm I had this problem a few kernels ago and it came back with 4.8.

Here is my "uname -a":
Linux jportable.localdomain 4.9.6-200.fc25.x86_64 #1 SMP Thu Jan 26 10:17:45 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Two impacts of this bug:
 * the screen has some minor "glitch" (part of the screen goes black for less that a second, most of the time the bottom) from times to times,
 * the screen goes black, with the left pixel line in random colors. It does not come back and I have to reboot computer.

I tried to reproduce it, I can't.
How can I try to find some usefull information to help debugging this?
Comment 3 Anders Blomdell 2017-02-22 07:18:47 EST
Maybe related: https://bugzilla.redhat.com/show_bug.cgi?id=1398362#c6
Comment 4 Fedora End Of Life 2017-07-25 15:45:58 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Maxim Molchanov 2017-07-28 22:12:28 EDT
I have the same issue on F26 with 4.11.11-300.fc26.x86_64 kernel, so the issue seems still not fixed. Second monitor randomly blinking with the following message in dmesg:

[85874.251175] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun

Should I create a new ticket for F26 or this issue version can be changed? Please let me know if any additional information is needed.
Comment 6 Armin Wehrfritz 2017-08-06 07:50:41 EDT
Maybe related: https://bugzilla.redhat.com/show_bug.cgi?id=1478700
Comment 7 Fedora End Of Life 2017-08-08 08:38:51 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.